<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_ExportTemplates.ascx.cs" Inherits="DNNMasters.UMS.UI.UserControls.UMS_ExportTemplates" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<script type="text/javascript">
    
    //jQuery.noConflict();

    function updateConfig() {

        $('.column').each(function() {
            var itemorder = $(this).sortable('toArray');
            var columnId = $(this).attr('id');
            var finalConfig = "";
            for (var i = 0; i < itemorder.length; i++) {
                var propID = itemorder[i].split("_")[1];
                var propName = document.getElementById("hfPropName" + propID).value;
                var colName = document.getElementById("txtPropName" + propID).value;
                var colEnable = document.getElementById("chkPropInclude" + propID).checked;
                finalConfig += propID + "|" + propName + "|" + colName + "|" + colEnable + "&nextProp&";
            }
            document.getElementById("<%= _hfConfig.ClientID %>").value = finalConfig;
            //console.log(finalConfig);
        });

    }

    function pageLoad(sender, args) {
        
        
        $(function() {
            $('.dragbox')
	        .each(function() {
	            $(this).click(function() {
	                $(this).siblings('.dragbox-content').toggle();
	            })
		        .end()
		        .find('.configure').css('visibility', 'hidden');
	        });
            $('.column').sortable({
                connectWith: '.column',
                handle: 'h2',
                cursor: 'move',
                placeholder: 'placeholder',
                forcePlaceholderSize: true,
                opacity: 0.4,
                stop: function(event, ui) {
                    $(ui.item).find('h2').click();
                    //updateConfig();
                }
            })
	        .disableSelection();
        });
    }

    function checkAllFields(status) {
        $('.column').each(function() {
            var itemorder = $(this).sortable('toArray');
            for (var i = 0; i < itemorder.length; i++) {
                var propID = itemorder[i].split("_")[1];
                document.getElementById("chkPropInclude" + propID).checked = status;
            }
        });
    }

    
</script>

<asp:UpdateProgress ID="_upsExportTemplates" runat="server" AssociatedUpdatePanelID="_upExportTemplateEditor" >
    <ProgressTemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>


<asp:UpdatePanel runat="server" id="_upExportTemplateEditor" updatemode="Conditional">
    <contenttemplate>
    
    <asp:Panel ID="_pnlExportTemplatesList" runat="server">
        <table>
            <tr>
                <td>
                    <asp:ListBox ID="_lbxExportTemplates" runat="server" CssClass="Normal" Height="150" Width="150"
                        DataTextField="Text" DataValueField="Value" />
                </td>
                <td>
                    <dnn:commandbutton id="_cmdNewExportTemplate" runat="server" resourcekey="_cmdNewExportTemplate"
                        CssClass="CommandButton" imageurl="~/images/add.gif" /><br /><br />
                    <dnn:commandbutton id="_cmdEditExportTemplate" runat="server" resourcekey="_cmdEditExportTemplate"
                        CssClass="CommandButton" imageurl="~/images/edit.gif" /><br /><br />
                    <dnn:commandbutton id="_cmdDeleteExportTemplate" runat="server" resourcekey="_cmdDeleteExportTemplate"
                        CssClass="CommandButton" imageurl="~/images/delete.gif" />
                </td>
            </tr>
        </table>
    </asp:Panel>

    <asp:Panel ID="_pnlExportTemplatesEditor" runat="server" Visible="false">
        <br />
        <table width="100%" border="0">
            <tr>
                <td align="left">
                    <asp:LinkButton ID="_lnkBack" runat="server">
                        <asp:Image ID="_imgBack" runat="server" ImageUrl="~/DesktopModules/DNNMasters.UMS/Images/Previous-icon.png" />
                    </asp:LinkButton>
                </td>
                <td align="center">
                    <asp:Label ID="_lblNavigationInfo" resourcekey="_lblNavigationInfo" runat="server" CssClass="Normal" />
                </td>
                <td align="right">
                    <asp:LinkButton ID="_lnkNext" runat="server">
                        <asp:Image ID="_imgNext" runat="server" ImageUrl="~/DesktopModules/DNNMasters.UMS/Images/Next-icon.png" />
                    </asp:LinkButton>
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    <br />
                </td>
            </tr>
            <tr id="_trStep1" runat="server">
                <td colspan="3">
                    <asp:Label ID="_lblStep1" resourcekey="_lblStep1" runat="server" CssClass="Normal" />
                </td>
            </tr>
            <tr id="_trStep2" runat="server">
                <td colspan="3">
                    <asp:Label ID="_lblStep2" resourcekey="_lblStep2" runat="server" CssClass="Normal" />
                </td>
            </tr>
            <tr id="_trStep3" runat="server">
                <td colspan="3">
                    <asp:Label ID="_lblStep3" resourcekey="_lblStep3" runat="server" CssClass="Normal" />
                </td>
            </tr>
            <tr id="_trStep4" runat="server">
                <td colspan="3">
                    <asp:Label ID="_lblStep4" resourcekey="_lblStep4" runat="server" CssClass="Normal" />
                </td>
            </tr>
            <tr id="_trStep5" runat="server">
                <td colspan="3">
                    <asp:Label ID="Label1" resourcekey="_lblStep5" runat="server" CssClass="Normal" />
                </td>
            </tr>
            <tr id="_trStep6" runat="server">
                <td colspan="3">
                    <asp:Label ID="_lblStep5" resourcekey="_lblStep5" runat="server" CssClass="Normal" /><br /><br />
                    <asp:TextBox ID="_txbTemplateName" Width="200" runat="server" CssClass="NormalTextBox" />
                    <asp:RequiredFieldValidator ID="_valTemplateName" ControlToValidate="_txbTemplateName" runat="server" 
                        ErrorMessage="*" CssClass="Normal" Display="Dynamic" />
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    <br />
                </td>
            </tr>
            <tr id="_trPanels" runat="server">
                <td colspan="3">
                    <asp:Label ID="_lblPortal" resourcekey="_lblPortal" runat="server" CssClass="Normal" />
                    &nbsp;
                    <asp:DropDownList ID="_ddlPortal" runat="server" DataTextField="PortalName" DataValueField="PortalId" Width="200" AutoPostBack="true" />
                    &nbsp;&nbsp;&nbsp;
                    <asp:HyperLink ID="_lnkIncludeAll" resourcekey="_lnkIncludeAll" CssClass="Normal" runat="server" style="cursor:pointer;" />&nbsp;&nbsp;&nbsp;
                    <asp:HyperLink ID="_lnkExcludeAll" resourcekey="_lnkExcludeAll" CssClass="Normal" runat="server" style="cursor:pointer;" />
                    <br />
                    <br />
                    <asp:Panel ID="_pnlStep5ExternalTables" runat="server">
                        <div class="dnnFormItem">
                             <dnn:Label runat="server" Id="lblStep5ExternalTables" suffix=":" />

                            <asp:DropDownList ID="_ddlStep5ExternalTables" runat="server" AutoPostBack="true">
                            </asp:DropDownList>     
                        </div>
                  
                    </asp:Panel>



                    <div class="column" id="column1">
                        <asp:Literal ID="_litPanels" runat="server"></asp:Literal>
                    </div>
                </td>
            </tr>
        </table>
        

        <asp:HiddenField id="_hfConfig" runat="server"></asp:HiddenField>
    </asp:Panel>
    
    </contenttemplate>
</asp:UpdatePanel>


